Subject: Re: drivers/net/wireless/ath/ath11k/mac.c:2238:29: warning: 'ath11k_peer_assoc_h_he_limit' reading 16 bytes from a region of size 0

From: Kalle Valo <[email-masked]>
Date: Tue, 11 Oct 2022 11:12:56 +0300

"Arnd Bergmann" <[email-masked]> writes:

> On Mon, Oct 10, 2022, at 6:54 PM, Kalle Valo wrote:
>> Naresh Kamboju <[email-masked]> writes:
>
>>>
>>> Build log: https://builds.tuxbuild.com/2F4W7nZHNx3T88RB0gaCZ9hBX6c/
>>
>> Thanks, I was able to reproduce it now and submitted a patch:
>>
>> https://patchwork.kernel.org/project/linux-wireless/patch/[email-masked]/
>>
>> But it's strange that nobody else (myself included) didn't see this
>> earlier. Nor later for that matter, this is the only report I got about
>> this. Arnd, any ideas what could cause this only to happen on GCC 11?
>>
>> -- 
>> https://patchwork.kernel.org/project/linux-wireless/list/
>>
>> https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches
>
> No idea here, though I have not tried to reproduce it. This looks
> like a false positive to me, which might be the result of some
> missed optimization in the compiler when building with certain
> options. I see in the .config that KASAN is enabled, and this sometimes
> causes odd behavior like this. If it does not happen without KASAN,
> maybe report it as a bug against the compiler.

You guessed correctly, disabling KASAN makes the warning go away. So no
point of reporting this to GCC, thanks for the help!

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches